import requests
import traceback

def get_pancakeswap_price(contract):
    url = f'https://api.pancakeswap.info/api/v2/tokens/{contract}'
    price = None
    try:
        ret = requests.get(url)
        price = round(float(ret.json()['data']['price']), 2)
        print(price)
    except:
        traceback.print_exc()
    return price

get_pancakeswap_price('0x25102c5af2d4faa83ddbd36d9f6af5d9c2b84093')